Subject: Re: 680x0 Branch Instructions?
From: [email-masked] (Jean-Michel Forgeas)
Date: 12 Jan 93 12:22:59 GMT
Newsgroups: comp.sys.amiga.programmer

In article <[email-masked]>, Val Kartchner writes:

> I know what the eight common ones do.  (BRA, BSB, BLS, BLE, BEQ, BNE, BGE,
> BGT)  I think that four of the others are used for branches based on
> unsigned compares, but I'm not sure which ones.  (BCS, BCC, BPL, BMI?)
> What practical use are the other four branch instructions?

I saved an article from Matt Dillon 2 years ago, it is very
useful :

: From: [email-masked] (Matthew Dillon)
: Newsgroups: comp.sys.amiga.programmer
: Subject: Re:  Macro-68 Questions
: Message-ID: <[email-masked]>
: Date: 12 May 91 17:50:11 GMT
:
:     BCC == BHS      >= 0 unsigned comparison
:     BCS == BLO      <  0 unsigned
:     BHI             >  0 unsigned
:     BLS             <= 0 unsigned
:
:     BGE             >= 0 signed comparison
:     BLT             <  0 signed
:     BGT             >  0 signed
:     BLE             <= 0 signed
:
:     BMI             <  0 after test (note that BLT is < 0 after a signed
:                          compare, same as BMI except that overflow is
:                          checked for.  However, after a TST or MOVE
:                          instruction, BMI is the same as BLT because the
:                          V bit is set to zero).
:     BEQ             == 0
:     BNE             != 0
:
:     BVC             no overflow on signed operation
:     BVS             overflow on signed operation
:
:                                             -Matt
--
 Jean-Michel Forgeas      uunet!cbmvax!cbmehq!cbmfra!swinjm!forgeas
 16170 Bordeville                            __
 France                                      \/